Octave - Erweiterungen


a
Erweiterungspakete
a

signalSignal processing tools, including filtering, windowing and display functions
videoImplements addframe, avifile, aviinfo, and aviread, using ffmpeg. (and approximately conforms to Matlab interface)
audioAudio recording, processing and playing tools.


a
Installation
a

Octave-Headers installieren
aptitude install octave3.0-headers


Anschließend als root für jedes Paket und alle Pakete, die davon abhängig sind die folgende Zeile aufrufen (furchtbar!)
pkg install miscellaneous-1.0.9.tar.gz
pkg install optim-1.0.12.tar.gz
pkg install specfun-1.0.9.tar.gz
pkg install signal-1.0.11.tar.gz


Abhängigkeiten werden derart gemeldet. In dem Fall müssen die genannten Toolboxen vorher installiert werden. Diese haben aber ich Abhängigkeiten! (grauenvoll!)
octave:2> pkg install signal-1.0.11.tar.gz
error: the following dependencies where unsatisfied:
   signal needs optim >= 1.0.0
   signal needs specfun >= 0.0.0


Manchmal müssen auch ältere Versionen installiert werden.
octave:1> pkg install image-1.0.9.tar.gz
error: the following dependencies where unsatisfied:
   image needs octave >= 3.1.51
octave:1> pkg install image-1.0.8.tar.gz



Siehe auch Octave
Valid XHTML :: Valid CSS: :: Powered by WikkaWiki